> ## Documentation Index
> Fetch the complete documentation index at: https://eigendb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Database health check

> Perform a health check on the database.



## OpenAPI

````yaml /api-reference/specs/health_checks.yaml get /api/v1/health
openapi: 3.0.3
info:
  title: EigenDB REST API
  description: REST API for EigenDB.
  version: 1.0.0
servers: []
security:
  - ApiKeyAuth: []
paths:
  /api/v1/health:
    get:
      summary: Database health check
      description: Perform a health check on the database.
      operationId: healthCheck
      responses:
        '200':
          description: Database is healthy.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseSchema'
              example:
                status: 200
                message: healthy
                data:
                  cpu_usage_percent: 0.06
                  mem_usage_percent: 1.31
                  uptime: 72h3m0.5s
        '500':
          description: Database is unhealthy.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseSchema'
              example:
                status: 500
                message: unhealthy
                error:
                  code: ERROR_GETTING_CPU_USAGE
                  description: detailed description of the error...
      security: []
components:
  schemas:
    responseSchema:
      type: object
      properties:
        status:
          type: integer
          description: Status code of the response
        message:
          type: string
          description: Message giving basic information on the response
        data:
          type: object
          description: Important data to be given to the caller
        error:
          type: object
          description: An error that has occured
          properties:
            code:
              type: string
              description: An error code unique to this type of error
            description:
              type: string
              description: A detailed description of the error
      required:
        - status
        - message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Eigen-API-Key

````